# Process this file with autoconf to produce a configure script.
AC_INIT([ragmaan], 2.0.0, zandbergen@home.nl)
AC_CONFIG_SRCDIR([main.c])
AM_CONFIG_HEADER([config.h])
AM_INIT_AUTOMAKE([])
AM_GNU_GETTEXT([])

localedir="${datadir}/locale"
AC_SUBST(localedir)

# Checks for programs.
AC_PROG_CC
AC_PATH_PROG(gzip_exe, gzip)
AC_DEFINE_UNQUOTED(GZIP_EXE, "$gzip_exe",[pipe .gz files through here])
AC_PATH_PROG(bzip2_exe, bzip2)
AC_DEFINE_UNQUOTED(BZIP2_EXE, "$bzip2_exe",[pipe .bz2 files through here])

# Checks for libraries.
AM_PATH_GTK_2_0(2.0.1, 
  CFLAGS="$CFLAGS $GTK_CFLAGS" LIBS="$LIBS $GTK_LIBS",
  AC_MSG_ERROR(bummer), gthread)
# Checks for header files.
AC_HEADER_STDC
AC_CHECK_HEADERS([stdlib.h string.h])

# Checks for typedefs, structures, and compiler characteristics.
AC_C_CONST

# Checks for library functions.
AC_CHECK_FUNCS([strtoul])

AC_CONFIG_FILES([ragmaan.spec Makefile po/Makefile.in m4/Makefile intl/Makefile])
AC_OUTPUT
